-- By MaTiOs95
-- Programuje i skriptuje na zamowienie :P
-- www.adamekdomal-mods.xaa.pl
-- Troll
-- 01.01.2011

MAT = {};

function MAT.prerequisitesPresent(specializations)
    return true;
end;

function MAT:load(xmlFile)
	self.obrot = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.obrot#index"));
	self.ramie1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.ramie1#index"));
	self.ramie2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.ramie2#index"));
	self.stopka1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.stopka1#index"));
	self.stopka2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.stopka2#index"));
	self.silownik1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.silownik1#index"));
	self.tlok1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.tlok1#index"));
	hornSoundFile = Utils.getFilename("hydra.wav", self.baseDirectory);
	self.dzwiekid = createSample("hydraulika");
	loadSample(self.dzwiekid, hornSoundFile, false);
	self.xp = 0;
end;

function MAT:delete()
end;

function MAT:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MAT:keyEvent(unicode, sym, modifier, isDown)
-----------------------------------------------------
	if sym == Input.KEY_KP_4 then
		self.obrotlewo = isDown;
		self.dzwiek = isDown;
	end;
	if sym == Input.KEY_KP_6 then
		self.obrotprawo = isDown;
		self.dzwiek = isDown;
	end;
-----------------------------------------------------
	if sym == Input.KEY_KP_2 then
		self.ramie1dol = isDown;
		self.dzwiek = isDown;
	end;
	if sym == Input.KEY_KP_8 then
		self.ramie1gora = isDown;
		self.dzwiek = isDown;
	end;
-----------------------------------------------------
	if sym == Input.KEY_KP_3 then
		self.ramie2dol = isDown;
		self.dzwiek = isDown;
	end;
	if sym == Input.KEY_KP_9 then
		self.ramie2gora = isDown;
		self.dzwiek = isDown;
	end;
-----------------------------------------------------
	if sym == Input.KEY_KP_1 then
		self.stopkidol = isDown;
		self.dzwiek = isDown;
	end;
	if sym == Input.KEY_KP_7 then
		self.stopkigora = isDown;
		self.dzwiek = isDown;
	end;
-----------------------------------------------------
	if sym == Input.KEY_KP_0 then
		self.pomoc = isDown;
	end;
-----------------------------------------------------
end;

function MAT:update(dt)
-----------------------------------------------------
	local x1, y1, z1 = getRotation(self.obrot);
	if self.obrotlewo then
		if y1 < 1.57079625 then
			setRotation(self.obrot, x1, y1+0.005, z1);
		end;
	end;
	if self.obrotprawo then
		if y1 > -1.57079625 then
			setRotation(self.obrot, x1, y1-0.005, z1);
		end;
	end;
-----------------------------------------------------
	local x2, y2, z2 = getRotation(self.ramie1);
	local x3, y3, z3 = getRotation(self.silownik1);
	if self.ramie1dol then
		if x2 > -0.785398125 then
			setRotation(self.ramie1, x2-0.005, y2, z2);
			setRotation(self.silownik1, x3-0.005, y3, z3);
		end;
	end;
	if self.ramie1gora then
		if x2 < 0.261799375 then
			setRotation(self.ramie1, x2+0.005, y2, z2);
			setRotation(self.silownik1, x3+0.005, y3, z3);
		end;
	end;
-----------------------------------------------------
	local x4, y4, z4 = getRotation(self.ramie2);
	if self.ramie2dol then
		if x4 > -0.52359875 then
			setRotation(self.ramie2, x4-0.005, y4, z4);
		end;
	end;
	if self.ramie2gora then
		if x4 < 1.221730416 then
			setRotation(self.ramie2, x4+0.005, y4, z4);
		end;
	end;
-----------------------------------------------------
	local x5, y5, z5 = getTranslation(self.stopka1);
	local x6, y6, z6 = getTranslation(self.stopka2);
	if self.stopkidol then
		if y5 > -0.3 and y6 > -0.3 then
			setTranslation(self.stopka1, x5, y5-0.003, z5);
			setTranslation(self.stopka2, x5, y5-0.003, z5);
		end;
	end;
	if self.stopkigora then
		if y5 < 0 and y6 < 0 then
			setTranslation(self.stopka1, x5, y5+0.003, z5);
			setTranslation(self.stopka2, x5, y5+0.003, z5);
		end;
	end;
-----------------------------------------------------
-----------------------------------------------------
	if self.dzwiek then
		self.xp = self.xp - dt;
		if self.xp < 0 then
			playSample(self.dzwiekid, 1, 1, 0);
			self.xp = 1000;
		end;
	else
		self.xp = 0;
	end;
-----------------------------------------------------
end;

function MAT:draw()
	g_currentMission:addExtraPrintText("Klawisz: NUM_0                                POMOC");
	if self.pomoc then
		renderText(0, 0.66, 0.02, "-------------------------------------");
		renderText(0, 0.64, 0.02, "-----------By MaTiOs95-----------");
		renderText(0, 0.62, 0.02, "-------------------------------------");
		renderText(0, 0.60, 0.02, "Nacisnij Num 4: Obrot w lewo");
		renderText(0, 0.58, 0.02, "Nacisnij Num 6: Obrot w prawo");
		renderText(0, 0.56, 0.02, "-------------------------------------");
		renderText(0, 0.54, 0.02, "Nacisnij Num 2: Ramie1 w dol");
		renderText(0, 0.52, 0.02, "Nacisnij Num 8: Ramie1 w gore");
		renderText(0, 0.50, 0.02, "-------------------------------------");
		renderText(0, 0.48, 0.02, "Nacisnij Num 3: Ramie2 w dol");
		renderText(0, 0.46, 0.02, "Nacisnij Num 9: Ramie2 w gore");
		renderText(0, 0.44, 0.02, "-------------------------------------");
		renderText(0, 0.42, 0.02, "Nacisnij Num 1: Stopki w dol");
		renderText(0, 0.40, 0.02, "Nacisnij Num 7: Stopki w gore");
		renderText(0, 0.38, 0.02, "-------------------------------------");
		renderText(0, 0.36, 0.02, "---www.polski-mod.cba.pl---");
		renderText(0, 0.34, 0.02, "-------------------------------------");
	end;
end;

function MAT:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

-- Klawiszologia

-- NUM_4 obrot w lewo
-- NUM_6 obrot w prawo

-- NUM_2 ramie1 w dol
-- NUM_8 ramie1 w gore

-- NUM_3 ramie2 w dol
-- NUM_9 ramie2 w gore

-- NUM_1 stopki w dol
-- NUM_7 stopki w gore

-- NUM_/ lyzka w przod
-- NUM_* lyzka w tyl

-- NUM_5 widly otworz/zamnknij