-- By MaTiOs95
-- Programuje i skriptuje na zamowienie :P
-- www.adamekdomal-mods.xaa.pl
-- Widly
-- 01.01.2011

MAT2 = {};

function MAT2.prerequisitesPresent(specializations)
    return true;
end;

function MAT2:load(xmlFile)
	self.widly1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.widly1#index"));
	self.widly2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.widly2#index"));
	self.silownik1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.silownik1#index"));
	self.silownik2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.silownik2#index"));
	self.tlok1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.tlok1#index"));
	self.tlok2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.tlok2#index"));
	self.zsyp = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.manure#tipReferenceNode"));
end;

function MAT2:delete()
end;

function MAT2:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MAT2:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_KP_5 then
		self.widly = not self.widly;
	end;
	if sym == Input.KEY_KP_0 then
		self.pomoc = isDown;
	end;
end;

function MAT2:update(dt)
	local x1, y1, z1 = getRotation(self.widly1);
	local x2, y2, z2 = getRotation(self.widly2);
	local x3, y3, z3 = getRotation(self.silownik1);
	local x4, y4, z4 = getRotation(self.silownik2);
	local x5, y5, z5 = getTranslation(self.tlok1);
	local x6, y6, z6 = getTranslation(self.tlok2);
	local x7, y7, z7 = getRotation(self.zsyp);
	if self.widly then
		if z1 < 0.61085208 then
			setRotation(self.widly1, x1, y1, z1+0.01);
			setRotation(self.widly2, x2, y2, z2-0.01);
			setRotation(self.zsyp, x7-0.051428, y7, z7);
			setRotation(self.silownik1, x3, y3, z3-0.0042857);
			setRotation(self.silownik2, x4, y4, z4+0.0042857);
			setTranslation(self.tlok2, x6, y6-0.0014604879597, z6);
			setTranslation(self.tlok1, x5+0.0014604879597, y5, z5);
		end;
	else
		if z1 > 0 then
			setRotation(self.widly1, x1, y1, z1-0.01);
			setRotation(self.widly2, x2, y2, z2+0.01);
			setRotation(self.zsyp, x7+0.051428, y7, z7);
			setRotation(self.silownik1, x3, y3, z3+0.0042857);
			setRotation(self.silownik2, x4, y4, z4-0.0042857);
			setTranslation(self.tlok2, x6, y6+0.0014604879597, z6);
			setTranslation(self.tlok1, x5-0.0014604879597, y5, z5);
		end;
	end;
end;

function MAT2:draw()
	if self.pomoc then
		renderText(0, 0.32, 0.02, "-------------------------------------");
		renderText(0, 0.30, 0.02, "Nacisnij NUM 5: Widly otworz/zamknij");
		renderText(0, 0.28, 0.02, "-------------------------------------");
	end;
end;

function MAT2:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;